ARTSCLASSLIB = ../../classes/lib/libArts.la
ARTSCLASSINC = -I../../classes/include
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: artsases

clean:
	rm -f *.o *.lo artsases 
	rm -Rf .libs

strip:: artsases
	@-if [ -f .libs/artsases ]; then \
	  strip .libs/artsases ; \
	else \
	  strip artsases ; \
	fi

artsases: artsases.o ${ARTSCLASSLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} artsases.o ${ARTSCLASSLIB} @LIBS@ -o artsases

artsases.o: artsases.cc ../../classes/include/*.hh
	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -I. -c artsases.cc

install:: strip
	${LIBTOOL} ../../install-sh -c -m 555 artsases @bindir@/artsases
	../../install-sh -c -m 444 artsases.man @mandir@/manl/artsases.l

tarball::
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsases
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/artsases.l


